Package org.firebirdsql.gds

## Interface BatchParameterBuffer

All Superinterfaces:
  `java.lang.Iterable<Parameter>`, `ParameterBuffer`

All Known Implementing Classes:
  `BatchParameterBufferImp`

    public interface BatchParameterBuffer
    extends ParameterBuffer

Represents a batch parameter buffer, for Firebird 4 and higher batch configuration.

Since:
  5
Author:
  Mark Rotteveel

### Method Summary

### Methods inherited from interface java.lang.Iterable

`forEach, spliterator`

### Methods inherited from interface org.firebirdsql.gds.ParameterBuffer

`addArgument, addArgument, addArgument, addArgument, addArgument, addArgument, addArgument, getArgumentAsInt, getArgumentAsString, getType, hasArgument, isEmpty, iterator, removeArgument, size, toBytes, toBytesWithType, toXdrable, writeArgumentsTo`